summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rw-r--r--ci14
1 files changed, 14 insertions, 0 deletions
diff --git a/ci b/ci
new file mode 100644
index 0000000..a2f7f39
--- /dev/null
+++ b/ci
@@ -0,0 +1,14 @@
+#!/bin/sh
+svn up || exit 1
+echo "#define TUXANCI_NG_VERSION \"svn$(( `svn info | grep Revision |awk -F ': ' '{print $2}'` + 1 ))\"" > ./config.h
+if [ $# -eq "0" ]; then
+ svn ci
+ exit 0
+fi
+while getopts :F:m: arg; do
+ case $arg in
+ F) svn ci -F "${OPTARG}";;
+ m) svn ci -m "\"${OPTARG}\"";;
+ *) svn ci;;
+ esac
+done